# Draw
TKDraw
DBRep

# DBRep_DrawableShape Class Reference

`#include <DBRep_DrawableShape.hxx>`

Inheritance diagram for DBRep_DrawableShape:

[legend]

## Public Member Functions

Standard_EXPORT | DBRep_DrawableShape (const TopoDS_Shape &C, const Draw_Color &FreeCol, const Draw_Color &ConnCol, const Draw_Color &EdgeCol, const Draw_Color &IsosCol, const Standard_Real size, const Standard_Integer nbisos, const Standard_Integer discret)
Standard_EXPORT void | Set (const TopoDS_Shape &C)
Standard_EXPORT void | ChangeNbIsos (const Standard_Integer NbIsos)
| Changes the number of isoparametric curves in a shape. .
Standard_EXPORT Standard_Integer | NbIsos () const
| Returns the number of isoparametric curves in a shape. .
Standard_EXPORT void | ChangeDiscret (const Standard_Integer Discret)
| Changes the number of isoparametric curves in a shape. .
Standard_EXPORT Standard_Integer | Discret () const
| Returns the discretisation value of curve .
Standard_EXPORT TopoDS_Shape | Shape () const
| Return const & .
Standard_EXPORT void | DisplayOrientation (const Standard_Boolean D)
| When True the orientations of the edges and free vertices are displayed. .
Standard_EXPORT void | DisplayTriangulation (const Standard_Boolean D)
| When True the triangulations of the faces are displayed even if there is a surface. .
Standard_EXPORT void | DisplayPolygons (const Standard_Boolean D)
| When True the polygons of the edges are displayed even if there is a geometric curve. .
Standard_EXPORT void | DisplayHLR (const Standard_Boolean withHLR, const Standard_Boolean withRg1, const Standard_Boolean withRgN, const Standard_Boolean withHid, const Standard_Real ang)
| Performs Hidden lines. .
Standard_EXPORT Standard_Boolean | DisplayTriangulation () const
Standard_EXPORT Standard_Boolean | DisplayPolygons () const
Standard_EXPORT void | GetDisplayHLR (Standard_Boolean &withHLR, Standard_Boolean &withRg1, Standard_Boolean &withRgN, Standard_Boolean &withHid, Standard_Real &ang) const
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
Standard_EXPORT void | DisplayHiddenLines (Draw_Display &dis)
virtual Standard_EXPORT Handle_Draw_Drawable3D | Copy () const
| For variable copy. .
virtual Standard_EXPORT void | Dump (Standard_OStream &S) const
| For variable dump. .
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | LastPick (TopoDS_Shape &S, Standard_Real &u, Standard_Real &v)
| Returns the subshape touched by the last pick. u,v are the parameters of the closest point. .

## Private Member Functions

Standard_EXPORT void | Display (const Handle(Poly_Triangulation)&T, const gp_Trsf &tr, Draw_Display &dis) const

## Private Attributes

TopoDS_Shape | myShape
DBRep_ListOfEdge | myEdges
DBRep_ListOfFace | myFaces
DBRep_ListOfHideData | myHidData
Standard_Real | mySize
Standard_Integer | myDiscret
Draw_Color | myFreeCol
Draw_Color | myConnCol
Draw_Color | myEdgeCol
Draw_Color | myIsosCol
Standard_Integer | myNbIsos
Standard_Boolean | myDispOr
Standard_Boolean | mytriangulations
Standard_Boolean | mypolygons
Standard_Boolean | myHLR
Standard_Boolean | myRg1
Standard_Boolean | myRgN
Standard_Boolean | myHid
Standard_Real | myAng

## Constructor & Destructor Documentation

Standard_EXPORT DBRep_DrawableShape::DBRep_DrawableShape | ( | const TopoDS_Shape & | C,
|  | const Draw_Color & | FreeCol,
|  | const Draw_Color & | ConnCol,
|  | const Draw_Color & | EdgeCol,
|  | const Draw_Color & | IsosCol,
|  | const Standard_Real | size,
|  | const Standard_Integer | nbisos,
|  | const Standard_Integer | discret
| ) |

## Member Function Documentation

Standard_EXPORT void DBRep_DrawableShape::ChangeDiscret | ( | const Standard_Integer | Discret | ) |

Standard_EXPORT void DBRep_DrawableShape::ChangeNbIsos | ( | const Standard_Integer | NbIsos | ) |

virtual Standard_EXPORT Handle_Draw_Drawable3D DBRep_DrawableShape::Copy | ( |  | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT Standard_Integer DBRep_DrawableShape::Discret | ( |  | ) | const

Standard_EXPORT void DBRep_DrawableShape::Display | ( | const Handle(Poly_Triangulation)& | T,
|  | const gp_Trsf & | tr,
|  | Draw_Display & | dis
| ) | const`[private]`

Standard_EXPORT void DBRep_DrawableShape::DisplayHiddenLines | ( | Draw_Display & | dis | ) |

Standard_EXPORT void DBRep_DrawableShape::DisplayHLR | ( | const Standard_Boolean | withHLR,
|  | const Standard_Boolean | withRg1,
|  | const Standard_Boolean | withRgN,
|  | const Standard_Boolean | withHid,
|  | const Standard_Real | ang
| ) |

Standard_EXPORT void DBRep_DrawableShape::DisplayOrientation | ( | const Standard_Boolean | D | ) |

Standard_EXPORT Standard_Boolean DBRep_DrawableShape::DisplayPolygons | ( |  | ) | const

Standard_EXPORT void DBRep_DrawableShape::DisplayPolygons | ( | const Standard_Boolean | D | ) |

Standard_EXPORT Standard_Boolean DBRep_DrawableShape::DisplayTriangulation | ( |  | ) | const

Standard_EXPORT void DBRep_DrawableShape::DisplayTriangulation | ( | const Standard_Boolean | D | ) |

Standard_EXPORT void DBRep_DrawableShape::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D. Reimplemented in BOPTest_DrawableShape, and TestTopOpeDraw_DrawableSHA.

virtual Standard_EXPORT void DBRep_DrawableShape::Dump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT void DBRep_DrawableShape::GetDisplayHLR | ( | Standard_Boolean & | withHLR,
|  | Standard_Boolean & | withRg1,
|  | Standard_Boolean & | withRgN,
|  | Standard_Boolean & | withHid,
|  | Standard_Real & | ang
| ) | const

Standard_EXPORT const DBRep_DrawableShape::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D. Reimplemented in BOPTest_DrawableShape, and TestTopOpeDraw_DrawableSHA.

static Standard_EXPORT void DBRep_DrawableShape::LastPick | ( | TopoDS_Shape & | S,
|  | Standard_Real & | u,
|  | Standard_Real & | v
| ) | `[static]`

Standard_EXPORT Standard_Integer DBRep_DrawableShape::NbIsos | ( |  | ) | const

Standard_EXPORT void DBRep_DrawableShape::Set | ( | const TopoDS_Shape & | C | ) |

Standard_EXPORT TopoDS_Shape DBRep_DrawableShape::Shape | ( |  | ) | const

virtual Standard_EXPORT void DBRep_DrawableShape::Whatis | ( | Draw_Interpretor & | I | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

## Field Documentation

Standard_Real DBRep_DrawableShape::myAng `[private]`

Draw_Color DBRep_DrawableShape::myConnCol `[private]`

Standard_Integer DBRep_DrawableShape::myDiscret `[private]`

Standard_Boolean DBRep_DrawableShape::myDispOr `[private]`

Draw_Color DBRep_DrawableShape::myEdgeCol `[private]`

DBRep_ListOfEdge DBRep_DrawableShape::myEdges `[private]`

DBRep_ListOfFace DBRep_DrawableShape::myFaces `[private]`

Draw_Color DBRep_DrawableShape::myFreeCol `[private]`

Standard_Boolean DBRep_DrawableShape::myHid `[private]`

DBRep_ListOfHideData DBRep_DrawableShape::myHidData `[private]`

Standard_Boolean DBRep_DrawableShape::myHLR `[private]`

Draw_Color DBRep_DrawableShape::myIsosCol `[private]`

Standard_Integer DBRep_DrawableShape::myNbIsos `[private]`

Standard_Boolean DBRep_DrawableShape::mypolygons `[private]`

Standard_Boolean DBRep_DrawableShape::myRg1 `[private]`

Standard_Boolean DBRep_DrawableShape::myRgN `[private]`

TopoDS_Shape DBRep_DrawableShape::myShape `[private]`

Standard_Real DBRep_DrawableShape::mySize `[private]`

Standard_Boolean DBRep_DrawableShape::mytriangulations `[private]`

The documentation for this class was generated from the following file:

- DBRep_DrawableShape.hxx